Page MenuHomePhabricator

Create namespace aliases in zhwikiversity
Closed, ResolvedPublic

Description

Please set up these namespace aliases for zhwikiversity:

T→Template, WV→Wikiversity, WT→Wikiversity talk, U→User, UT→User talk, H→Help, CAT→Category.

There are several pages prefixed with WV: (all redirects) which will need to be moved.

On-wiki discussion is at v:zh:Wikiversity:互助客栈#缩写重定向.

[this was originally requested by @Bugreporter in T201675 — it was split off into this separate task by @Dcljr, with some formatting changes and minor copyediting but no substantive changes to the request itself]

Event Timeline

Dcljr created this task.Aug 26 2018, 1:17 AM
Restricted Application added subscribers: Cosine02, Aklapper. · View Herald TranscriptAug 26 2018, 1:17 AM
Dcljr added a comment.Aug 26 2018, 1:22 AM

I have split this request off from T201675: Create new namespaces in zhwikiversity, since the 2 requests that were in that task can be completed separately, AFAICT, once community consensus for either of them is recognized.

Dcljr added a subscriber: Urbanecm.

I also have copied the tags that were on the other task to this one. (I did not, however, assign this to @Urbanecm, like the other task, nor did I fiddle with the priority.)

@RazeSoldier: You're the only commenter on the other task that I have not pinged here. So, here ya go. [grin]

Dcljr updated the task description. (Show Details)Aug 26 2018, 1:32 AM
Urbanecm triaged this task as Normal priority.

Change 455394 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Create namespace aliases in zhwikiversity

https://gerrit.wikimedia.org/r/455394

Urbanecm moved this task from Analytics/Under discussion to Backlog on the User-Urbanecm board.
Urbanecm moved this task from Backlog to To deploy on the User-Urbanecm board.

I've scheduled this to be deployed tomorrow, between 11:00 and 12:00 UTC.

Change 455394 merged by jenkins-bot:
[operations/mediawiki-config@master] Create namespace aliases in zhwikiversity

https://gerrit.wikimedia.org/r/455394

Mentioned in SAL (#wikimedia-operations) [2018-08-28T11:29:04Z] <zfilipin@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:455394|Create namespace aliases in zhwikiversity (T202821)]] (duration: 00m 48s)

Urbanecm closed this task as Resolved.Aug 28 2018, 11:59 AM

Deployed. Should you notice any problems, please reopen and comment.

zfilipin@mwmaint1001:~$ mwscript namespaceDupes.php zhwikiversity --fix
id=3278 ns=0 dbk=WV:A -> Wikiversity:A (no conflict)
id=3231 ns=0 dbk=WV:ADM -> Wikiversity:ADM (no conflict)
id=3230 ns=0 dbk=WV:ADMIN *** dest title exists and --add-prefix not specified
id=4546 ns=0 dbk=WV:AFD -> Wikiversity:AFD (no conflict)
id=4355 ns=0 dbk=WV:Afd -> Wikiversity:Afd (no conflict)
id=4401 ns=0 dbk=WV:BABEL -> Wikiversity:BABEL (no conflict)
id=4403 ns=0 dbk=WV:BBL -> Wikiversity:BBL (no conflict)
id=2966 ns=0 dbk=WV:BLOCK -> Wikiversity:BLOCK (no conflict)
id=1310 ns=0 dbk=WV:C *** dest title exists and --add-prefix not specified
id=4354 ns=0 dbk=WV:CSD *** dest title exists and --add-prefix not specified
id=4755 ns=0 dbk=WV:D -> Wikiversity:D (no conflict)
id=1314 ns=0 dbk=WV:GB -> Wikiversity:GB (no conflict)
id=1323 ns=0 dbk=WV:NOT -> Wikiversity:NOT (no conflict)
id=3276 ns=0 dbk=WV:NPA -> Wikiversity:NPA (no conflict)
id=3275 ns=0 dbk=WV:PA -> Wikiversity:PA (no conflict)
id=3111 ns=0 dbk=WV:POL -> Wikiversity:POL (no conflict)
id=3016 ns=0 dbk=WV:RELY -> Wikiversity:RELY (no conflict)
id=3015 ns=0 dbk=WV:RS -> Wikiversity:RS (no conflict)
id=3110 ns=0 dbk=WV:RULES -> Wikiversity:RULES (no conflict)
id=4108 ns=0 dbk=WV:SAND *** dest title exists and --add-prefix not specified
id=4107 ns=0 dbk=WV:SB *** dest title exists and --add-prefix not specified
id=4756 ns=0 dbk=WV:SD -> Wikiversity:SD (no conflict)
id=1328 ns=0 dbk=WV:SHORT -> Wikiversity:SHORT (no conflict)
id=1329 ns=0 dbk=WV:SHORTCUT -> Wikiversity:SHORTCUT (no conflict)
id=3245 ns=0 dbk=WV:STAFF -> Wikiversity:STAFF (no conflict)
id=3229 ns=0 dbk=WV:SYSOP -> Wikiversity:SYSOP (no conflict)
id=4734 ns=0 dbk=WV:TRANSWIKI -> Wikiversity:TRANSWIKI (no conflict)
id=4358 ns=0 dbk=WV:XFD -> Wikiversity:XFD (no conflict)
id=3115 ns=0 dbk=WV:快捷方式 *** dest title exists and --add-prefix not specified
id=3108 ns=0 dbk=WV:指引 -> Wikiversity:指引 (no conflict)
id=3277 ns=0 dbk=WV:攻击 -> Wikiversity:攻击 (no conflict)
id=3107 ns=0 dbk=WV:方针 -> Wikiversity:方针 (no conflict)
id=3109 ns=0 dbk=WV:规则 -> Wikiversity:规则 (no conflict)
id=4668 ns=0 dbk=T:暫時刪除 *** dest title exists and --add-prefix not specified
34 pages to fix, 27 were resolvable.

pagelinks from=1091 ns=0 dbk=U:NHC -> User:NHC
pagelinks from=1104 ns=0 dbk=U:五月雨恋歌 -> User:五月雨恋歌
pagelinks from=1106 ns=0 dbk=U:五月雨恋歌 -> User:五月雨恋歌
pagelinks from=1091 ns=0 dbk=UT:NHC -> User_talk:NHC
pagelinks from=1104 ns=0 dbk=UT:五月雨恋歌 -> User_talk:五月雨恋歌
pagelinks from=1106 ns=0 dbk=UT:五月雨恋歌 -> User_talk:五月雨恋歌
pagelinks from=1295 ns=0 dbk=WV:A -> Wikiversity:A
pagelinks from=2896 ns=0 dbk=WV:A -> Wikiversity:A
pagelinks from=1295 ns=0 dbk=WV:ADM -> Wikiversity:ADM
pagelinks from=1295 ns=0 dbk=WV:ADMIN -> Wikiversity:ADMIN
pagelinks from=952 ns=0 dbk=WV:AFD -> Wikiversity:AFD
pagelinks from=3270 ns=0 dbk=WV:AFD -> Wikiversity:AFD
pagelinks from=2896 ns=0 dbk=WV:AGF -> Wikiversity:AGF
pagelinks from=1326 ns=0 dbk=WV:AL -> Wikiversity:AL
pagelinks from=1106 ns=0 dbk=WV:AN -> Wikiversity:AN
pagelinks from=4136 ns=0 dbk=WV:Afd -> Wikiversity:Afd
pagelinks from=2891 ns=0 dbk=WV:BABEL -> Wikiversity:BABEL
pagelinks from=2891 ns=0 dbk=WV:BBL -> Wikiversity:BBL
pagelinks from=2896 ns=0 dbk=WV:BLOCK -> Wikiversity:BLOCK
pagelinks from=2896 ns=0 dbk=WV:Bots -> Wikiversity:Bots
pagelinks from=220 ns=0 dbk=WV:C -> Wikiversity:C
pagelinks from=1106 ns=0 dbk=WV:C -> Wikiversity:C
pagelinks from=1127 ns=0 dbk=WV:C -> Wikiversity:C
pagelinks from=1149 ns=0 dbk=WV:C -> Wikiversity:C
pagelinks from=3284 ns=0 dbk=WV:C -> Wikiversity:C
pagelinks from=3460 ns=0 dbk=WV:C -> Wikiversity:C
pagelinks from=3461 ns=0 dbk=WV:C -> Wikiversity:C
pagelinks from=4136 ns=0 dbk=WV:C -> Wikiversity:C
pagelinks from=4163 ns=0 dbk=WV:C -> Wikiversity:C
pagelinks from=13 ns=0 dbk=WV:CSD -> Wikiversity:CSD
pagelinks from=2970 ns=0 dbk=WV:CSD -> Wikiversity:CSD
pagelinks from=690 ns=0 dbk=WV:CU -> Wikiversity:CU
pagelinks from=1326 ns=0 dbk=WV:CUTS -> Wikiversity:CUTS
pagelinks from=2970 ns=0 dbk=WV:D -> Wikiversity:D
pagelinks from=1311 ns=0 dbk=WV:GB -> Wikiversity:GB
pagelinks from=1313 ns=0 dbk=WV:GB -> Wikiversity:GB
pagelinks from=215 ns=0 dbk=WV:IPBE -> Wikiversity:IPBE
pagelinks from=366 ns=0 dbk=WV:IPBE -> Wikiversity:IPBE
pagelinks from=1304 ns=0 dbk=WV:L -> Wikiversity:L
pagelinks from=4350 ns=0 dbk=WV:MJ -> Wikiversity:MJ
pagelinks from=1301 ns=0 dbk=WV:NOT -> Wikiversity:NOT
pagelinks from=3270 ns=0 dbk=WV:NOT -> Wikiversity:NOT
pagelinks from=3269 ns=0 dbk=WV:NPA -> Wikiversity:NPA
pagelinks from=3269 ns=0 dbk=WV:PA -> Wikiversity:PA
pagelinks from=4350 ns=0 dbk=WV:PATROL -> Wikiversity:PATROL
pagelinks from=690 ns=0 dbk=WV:PERM -> Wikiversity:PERM
pagelinks from=1449 ns=0 dbk=WV:POL -> Wikiversity:POL
pagelinks from=1507 ns=0 dbk=WV:PP -> Wikiversity:PP
pagelinks from=3270 ns=0 dbk=WV:PUT -> Wikiversity:PUT
pagelinks from=2896 ns=0 dbk=WV:RCA -> Wikiversity:RCA
pagelinks from=1180 ns=0 dbk=WV:RELY -> Wikiversity:RELY
pagelinks from=73 ns=0 dbk=WV:REVOKE -> Wikiversity:REVOKE
pagelinks from=690 ns=0 dbk=WV:RFR -> Wikiversity:RFR
pagelinks from=1180 ns=0 dbk=WV:RS -> Wikiversity:RS
pagelinks from=1449 ns=0 dbk=WV:RULES -> Wikiversity:RULES
pagelinks from=2904 ns=0 dbk=WV:SAND -> Wikiversity:SAND
pagelinks from=2905 ns=0 dbk=WV:SAND -> Wikiversity:SAND
pagelinks from=2904 ns=0 dbk=WV:SB -> Wikiversity:SB
pagelinks from=2905 ns=0 dbk=WV:SB -> Wikiversity:SB
pagelinks from=4350 ns=0 dbk=WV:SB -> Wikiversity:SB
pagelinks from=2970 ns=0 dbk=WV:SD -> Wikiversity:SD
pagelinks from=1325 ns=0 dbk=WV:SHORT -> Wikiversity:SHORT
pagelinks from=1326 ns=0 dbk=WV:SHORT -> Wikiversity:SHORT
pagelinks from=1326 ns=0 dbk=WV:SHORTCUT -> Wikiversity:SHORTCUT
pagelinks from=597 ns=0 dbk=WV:SIG -> Wikiversity:SIG
pagelinks from=4252 ns=0 dbk=WV:SIGN -> Wikiversity:SIGN
pagelinks from=1278 ns=0 dbk=WV:STAFF -> Wikiversity:STAFF
pagelinks from=1295 ns=0 dbk=WV:SYSOP -> Wikiversity:SYSOP
pagelinks from=597 ns=0 dbk=WV:TALK -> Wikiversity:TALK
pagelinks from=4685 ns=0 dbk=WV:TRANSWIKI -> Wikiversity:TRANSWIKI
pagelinks from=4352 ns=0 dbk=WV:TW/P -> Wikiversity:TW/P
pagelinks from=4352 ns=0 dbk=WV:TWPREFS -> Wikiversity:TWPREFS
pagelinks from=4350 ns=0 dbk=WV:U -> Wikiversity:U
pagelinks from=1326 ns=0 dbk=WV:WV -> Wikiversity:WV
pagelinks from=4350 ns=0 dbk=WV:XFD -> Wikiversity:XFD
pagelinks from=3270 ns=0 dbk=WV:不要人身攻击 -> Wikiversity:不要人身攻击
pagelinks from=3269 ns=0 dbk=WV:不要訴諸法律威脅 -> Wikiversity:不要訴諸法律威脅
pagelinks from=3269 ns=0 dbk=WV:中立的觀點 -> Wikiversity:中立的觀點
pagelinks from=1106 ns=0 dbk=WV:互助客栈 -> Wikiversity:互助客栈
pagelinks from=4295 ns=0 dbk=WV:傀儡 -> Wikiversity:傀儡
pagelinks from=1325 ns=0 dbk=WV:共識 -> Wikiversity:共識
pagelinks from=1326 ns=0 dbk=WV:共識 -> Wikiversity:共識
pagelinks from=4428 ns=0 dbk=WV:刪除 -> Wikiversity:刪除
pagelinks from=597 ns=0 dbk=WV:外部链接 -> Wikiversity:外部链接
pagelinks from=952 ns=0 dbk=WV:存廢討論應避免的理由 -> Wikiversity:存廢討論應避免的理由
pagelinks from=4185 ns=0 dbk=WV:存廢討論應避免的理由 -> Wikiversity:存廢討論應避免的理由
pagelinks from=4295 ns=0 dbk=WV:存廢討論應避免的理由 -> Wikiversity:存廢討論應避免的理由
pagelinks from=3269 ns=0 dbk=WV:封禁方针 -> Wikiversity:封禁方针
pagelinks from=4350 ns=0 dbk=WV:嵌入包含 -> Wikiversity:嵌入包含
pagelinks from=1326 ns=0 dbk=WV:快捷方式列表 -> Wikiversity:快捷方式列表
pagelinks from=952 ns=0 dbk=WV:快速保留 -> Wikiversity:快速保留
pagelinks from=4185 ns=0 dbk=WV:快速保留 -> Wikiversity:快速保留
pagelinks from=4428 ns=0 dbk=WV:快速刪除 -> Wikiversity:快速刪除
pagelinks from=4350 ns=0 dbk=WV:快速刪除守則 -> Wikiversity:快速刪除守則
pagelinks from=13 ns=0 dbk=WV:快速刪除方針 -> Wikiversity:快速刪除方針
pagelinks from=1449 ns=0 dbk=WV:指引 -> Wikiversity:指引
pagelinks from=3269 ns=0 dbk=WV:攻击 -> Wikiversity:攻击
pagelinks from=4295 ns=0 dbk=WV:方針與指引 -> Wikiversity:方針與指引
pagelinks from=4350 ns=0 dbk=WV:方針與指引 -> Wikiversity:方針與指引
pagelinks from=1449 ns=0 dbk=WV:方针 -> Wikiversity:方针
pagelinks from=1106 ns=0 dbk=WV:权限申请 -> Wikiversity:权限申请
pagelinks from=3269 ns=0 dbk=WV:爭論的解決 -> Wikiversity:爭論的解決
pagelinks from=3269 ns=0 dbk=WV:用户 -> Wikiversity:用户
pagelinks from=4295 ns=0 dbk=WV:签名 -> Wikiversity:签名
pagelinks from=1106 ns=0 dbk=WV:管理員通告板 -> Wikiversity:管理員通告板
pagelinks from=3270 ns=0 dbk=WV:維基人 -> Wikiversity:維基人
pagelinks from=1449 ns=0 dbk=WV:规则 -> Wikiversity:规则
pagelinks from=3270 ns=0 dbk=WV:讨论页 -> Wikiversity:讨论页
pagelinks from=3270 ns=0 dbk=WV:頁面存廢討論 -> Wikiversity:頁面存廢討論
pagelinks from=4248 ns=0 dbk=WT:TW -> Wikiversity_talk:TW
pagelinks from=4350 ns=0 dbk=WT:Twinkle -> Wikiversity_talk:Twinkle
pagelinks from=2933 ns=0 dbk=T:ASN -> Template:ASN
pagelinks from=3307 ns=0 dbk=T:Bda -> Template:Bda
pagelinks from=163 ns=0 dbk=T:Navbox -> Template:Navbox
pagelinks from=207 ns=0 dbk=T:Navbox -> Template:Navbox
pagelinks from=4350 ns=0 dbk=T:Socksuspectnotice -> Template:Socksuspectnotice
pagelinks from=4554 ns=0 dbk=T:暫時刪除 -> Template:暫時刪除
pagelinks from=4573 ns=0 dbk=T:暫時刪除 -> Template:暫時刪除
templatelinks from=3132 ns=0 dbk=T:暫時刪除 -> Template:暫時刪除
redirect from=4554 ns=0 dbk=T:暫時刪除 -> Template:暫時刪除
redirect from=4573 ns=0 dbk=T:暫時刪除 -> Template:暫時刪除
pagelinks from=4350 ns=0 dbk=H:TW -> Help:TW
122 links to fix, 122 were resolvable.

Oh noeees
zfilipin@mwmaint1001:~$ mwscript namespaceDupes.php zhwikiversity --fix --add-prefix=T202821
id=3230 ns=0 dbk=WV:ADMIN -> Wikiversity:T202821ADMIN (alternate)
id=1310 ns=0 dbk=WV:C -> Wikiversity:T202821C (alternate)
id=4354 ns=0 dbk=WV:CSD -> Wikiversity:T202821CSD (alternate)
id=4108 ns=0 dbk=WV:SAND -> Wikiversity:T202821SAND (alternate)
id=4107 ns=0 dbk=WV:SB -> Wikiversity:T202821SB (alternate)
id=3115 ns=0 dbk=WV:快捷方式 -> Wikiversity:T202821快捷方式 (alternate)
id=4668 ns=0 dbk=T:暫時刪除 -> Template:T202821暫時刪除 (alternate)
7 pages to fix, 7 were resolvable.

pagelinks from=1091 ns=0 dbk=U:NHC -> User:NHC
pagelinks from=1106 ns=0 dbk=U:五月雨恋歌 -> User:五月雨恋歌
pagelinks from=13 ns=0 dbk=WV:CSD -> Wikiversity:CSD
pagelinks from=2896 ns=0 dbk=WV:RCA -> Wikiversity:RCA
pagelinks from=3270 ns=0 dbk=WV:不要人身攻击 -> Wikiversity:不要人身攻击
pagelinks from=1106 ns=0 dbk=WV:互助客栈 -> Wikiversity:互助客栈
pagelinks from=4350 ns=0 dbk=WV:嵌入包含 -> Wikiversity:嵌入包含
pagelinks from=1326 ns=0 dbk=WV:快捷方式列表 -> Wikiversity:快捷方式列表
pagelinks from=4350 ns=0 dbk=WT:Twinkle -> Wikiversity_talk:Twinkle
pagelinks from=163 ns=0 dbk=T:Navbox -> Template:Navbox
pagelinks from=207 ns=0 dbk=T:Navbox -> Template:Navbox
11 links to fix, 11 were resolvable.

Looks good!

https://zh.wikiversity.org/wiki/Special:%E5%89%8D%E7%BC%80%E7%B4%A2%E5%BC%95?prefix=T202821&namespace=4 plus Template:T202821暫時刪除 should be reviewed. Those are pages that were both in main namespace and starting with WV: (or T:) and in Wikiversity: namespace, with same name, so they caused conflict. Probably (almost?) all of them would be a duplicity, but please check and if wanted, delete. Thanks, Martin

BJ6123C7BTD rescinded a token.
BJ6123C7BTD awarded a token.